<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [firefish-js](./firefish-js.md) &gt; [ChannelConnection](./firefish-js.channelconnection.md)

## ChannelConnection class

**Signature:**

```typescript
export declare abstract class Connection<
	Channel extends AnyOf<Channels> = any,
> extends EventEmitter<Channel["events"]> 
```
**Extends:** EventEmitter&lt;Channel\["events"\]&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(stream, channel, name)](./firefish-js.channelconnection._constructor_.md) |  | Constructs a new instance of the <code>Connection</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [channel](./firefish-js.channelconnection.channel.md) |  | string |  |
|  [id](./firefish-js.channelconnection.id.md) | <code>abstract</code> | string |  |
|  [inCount](./firefish-js.channelconnection.incount.md) |  | number |  |
|  [name?](./firefish-js.channelconnection.name.md) |  | string | _(Optional)_ |
|  [outCount](./firefish-js.channelconnection.outcount.md) |  | number |  |
|  [stream](./firefish-js.channelconnection.stream.md) | <code>protected</code> | [Stream](./firefish-js.stream.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [dispose()](./firefish-js.channelconnection.dispose.md) | <code>abstract</code> |  |
|  [send(type, body)](./firefish-js.channelconnection.send.md) |  |  |

